import "./styles.sass";
import Button from "@components/Button/index.js";
import LoginHeader from "@/pages/Login/components/LoginHeader/index.js";
import {useState} from "react";
import LoginGroup from "@/pages/Login/components/LoginGroup/index.js";

const Login = () => {

    const [username, setUsername] = useState("");
    const [password, setPassword] = useState("");

    const [loading, setLoading] = useState(false);

    const login = () => {
        setLoading(true);
    }

    return (
        <div className="align-center">
            <div className="login-container">
                <LoginHeader />

                <div className="login-body">
                    <LoginGroup id="username" text="Benutzername" state={username} setState={setUsername} />
                    <LoginGroup id="password" text="Passwort" state={password} setState={setPassword} />

                    <a href="/forgot-password" className="text-right">Passwort vergessen?</a>

                    <Button text="Anmelden" onClick={login} loading={loading} />
                </div>
            </div>
        </div>
    )
}

export default Login;